//+------------------------------------------------------------------+
//|                                               m-new_prices_1.mq4 |
//|                                                         GreenCOD |
//|                                                GreeenCOD@mail.ru |
//|                                                         21.07.10 |
//+------------------------------------------------------------------+

#property copyright "GreenCOD"
#property link      "GreeenCOD@mail.ru"

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
extern string ... = "AUDCAD";  //  ,       
//~~~~
extern int .. = 9999.9999;  //     (  )
                                         //         
//~~~~
extern string __ = "_.txt";  //     
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
int _Handle;
//~~~~~
int ___1;
//~~~~~
int __1 = 0;
//~~~~~
double _V_delta_1 = 0;
double _Close_1 = 0;
double _Close_2 = 0;
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

//===========================================
int init()
//===========================================
{
 //<<<<<<<<<<<<<<
 
 //--- History header
 int    Version  =400;
 string Copyright;
 string Ssymbol = ...;
 int    Pperiod = Period();
 int    Ddigits = Digits;
 int    Mass[13];
 //--- 
 _Handle=FileOpenHistory(Ssymbol+Pperiod+".hst", FILE_BIN|FILE_WRITE);
 //---
 ___1 = FileOpen(__, FILE_BIN|FILE_READ);
 //---
 if(_Handle < 0 || ___1 < 0)
 { 
  Print(" ERROR ");
  //---
  return(-1);
 } 
 //--- write history file header
 Copyright="(C)opyright 2003, MetaQuotes Software Corp.";
 //---
 FileWriteInteger(_Handle, Version,    LONG_VALUE);
 FileWriteString (_Handle, Copyright,  64);
 FileWriteString (_Handle, Ssymbol,    12);
 FileWriteInteger(_Handle, Pperiod,   LONG_VALUE);
 FileWriteInteger(_Handle, Ddigits,   LONG_VALUE);
 FileWriteInteger(_Handle, 0,          LONG_VALUE);    
 FileWriteInteger(_Handle, 0,          LONG_VALUE);
 //---     
 FileWriteArray  (_Handle, Mass, 0, 13);
 //---
 MathSrand(GetTickCount());
 //---
 _Close_1 = ..;
 
 //>>>>>>>>>>>>>>
}
//===========================================

//000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000

//===========================================
int start()
//===========================================
{
 //<<<<<<<<<<<<<<
 double Delta;
 //---
 string  = FileReadString(___1, 1);
 //---
 Delta = ();
 //---
 _Close_2 = _Close_1;
 _Close_1 = _Close_1 + NormalizeDouble(Delta*Point , Digits);
 //---
 __1 ++;
 //---
 _V_delta_1 += MathAbs(_Close_1 - _Close_2)/Point; 
 //---
 int Volume_1 = MathAbs(_Close_1 - _Close_2)/Point;
 //---
 double Open_1;
 double High_1;
 double Low_1;
 //---
 Open_1 = _Close_2;
 //---
 if(_Close_1 >= Open_1)
 {
  High_1 = _Close_1;
  Low_1 = Open_1;
 }
 else
 {
  High_1 = Open_1;
  Low_1 = _Close_1;
 }
 //---
 if(_Handle >= 0)
 {
  FileWriteInteger(_Handle, Time [1],LONG_VALUE);
  FileWriteDouble(_Handle, Open_1,   DOUBLE_VALUE);
  FileWriteDouble(_Handle, Low_1,    DOUBLE_VALUE);
  FileWriteDouble(_Handle, High_1,   DOUBLE_VALUE);
  FileWriteDouble(_Handle, _Close_1, DOUBLE_VALUE);
  FileWriteDouble(_Handle, Volume[1],DOUBLE_VALUE);
 }
 //>>>>>>>>>>>>>>
}
//===========================================

//000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000

//===========================================
int deinit()
//===========================================
{
 //<<<<<<<<<<<<<<
 FileClose(_Handle);
 FileClose(___1);
 //---
 Print("=====================================");
 //---
 Print("  = "+(_V_delta_1/__1));
 //---
 Print("   = "+__1);
 //---
 Print("  = "+_Close_1);
 //---
 Print("=====================================");
 //>>>>>>>>>>>>>>
}
//===========================================

//000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
    
//=============================================================
//  ("")  ,    =  ( ,  )   . 
//=============================================================
int (string )
{
 int  = 0;
 //--
  if( ==  "") = -2;else
  if( ==  "") = 4;else
  if( ==  "") = -6;else
  if( ==  "") = 8;else
  if( ==  "") = -10;else
  if( ==  "") = 12;else
  if( ==  "") = -14;else
  if( ==  "") = 16;else
  if( ==  "") = -18;else
  if( ==  "") = 20;else
  if( ==  "") = -22;else
  if( ==  "") = 24;else
  if( ==  "") = -26;else
  if( ==  "") = 28;else
  if( ==  "") = -30;else
  if( ==  "") = 2;else
  if( ==  "") = -4;else
  if( ==  "") = 6;else
  if( ==  "") = -8;else
  if( ==  "") = 10;else
  if( ==  "") = -12;else
  if( ==  "") = 14;else
  if( ==  "") = -16;else
  if( ==  "") = 18;else
  if( ==  "") = -20;else
  if( ==  "") = 22;else
  if( ==  "") = -24;else
  if( ==  "") = 26;else
  if( ==  "") = -28;else
  if( ==  "") = 30;else
  if( ==  "") = -2;else
  if( ==  "") = 4;else
  if( ==  "") = -6;else
  
  if( ==  "") = 1;else
  if( ==  "") = -2;else
  if( ==  "") = 3;else
  if( ==  "") = -4;else
  if( ==  "") = 5;else
  if( ==  "") = -6;else
  if( ==  "") = 7;else
  if( ==  "") = -8;else
  if( ==  "") = 9;else
  if( ==  "") = -10;else
  if( ==  "") = 11;else
  if( ==  "") = -12;else
  if( ==  "") = 13;else
  if( ==  "") = -14;else
  if( ==  "") = 15;else
  if( ==  "") = -16;else
  if( ==  "") = 17;else
  if( ==  "") = -18;else
  if( ==  "") = 19;else
  if( ==  "") = -20;else
  if( ==  "") = 21;else
  if( ==  "") = -22;else
  if( ==  "") = 23;else
  if( ==  "") = -24;else
  if( ==  "") = 25;else
  if( ==  "") = -26;else
  if( ==  "") = 27;else
  if( ==  "") = -28;else
  if( ==  "") = 29;else
  if( ==  "") = -30;else
  if( ==  "") = 1;else
  if( ==  "") = -2;else
  if( ==  "") = 3;else
  
  if( ==  "1") = 1;else
  if( ==  "2") = -2;else
  if( ==  "3") = 3;else
  if( ==  "4") = -4;else
  if( ==  "5") = 5;else
  if( ==  "6") = -6;else
  if( ==  "7") = 7;else
  if( ==  "8") = -8;else
  if( ==  "9") = 9;else
  if( ==  "0") = -10;else

  if( ==  ",") = 3;else
  if( ==  "<") = -6;else
  if( ==  ".") = 9;else
  if( ==  ">") = -12;else
  if( ==  "/") = 15;else
  if( ==  "?") = -18;else
  if( ==  ";") = 21;else
  if( ==  ")") = -24;else
  if( == "\'") = 27;else
  if( == "\"") = -30;else
  if( ==  "[") = 3;else
  if( ==  "{") = -6;else
  if( ==  "]") = 9;else
  if( ==  "}") = -12;else
  if( ==  "~") = 15;else
  if( ==  "!") = -18;else
  if( ==  "%") = 21;else
  if( ==  "(") = -24;else
  if( ==  ")") = 27;else
  if( ==  "-") = -30;else
  if( ==  "_") = 3;else
  if( ==  "=") = -6;else
  if( ==  "+") = 9;else
  if( == "\\")
   = -12;else
  if( ==  "|") = 15;else
  if( ==  " ") = 0;else
   = 0;
 //---
 return(); 
}
//=============================================================

//0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
        

